<?php
if( !defined('ABSPATH') ) exit();

//get taxonomies with cats
$postTypesWithCats = DestumSliderOperations::getPostTypesWithCatsForClient();		
$jsonTaxWithCats = DestumSliderFunctions::jsonEncodeForClientSide($postTypesWithCats);

//check existing slider data:
$sliderID = self::getGetVar('id');

$arrFieldsParams = array();

$uslider = new DestumSlider();

if(!empty($sliderID)){
	$slider = new DestumSlider();
	$slider->initByID($sliderID);
	
	//get setting fields
	$settingsFields = $slider->getSettingsFields();
	$arrFieldsMain = $settingsFields['main'];
	$arrFieldsParams = $settingsFields['params'];		
	
	$linksEditSlides = self::getViewUrl(DestumSliderAdmin::VIEW_SLIDE,'id=new&slider='.intval($sliderID));
	
	require self::getPathTemplate('edit-slider');
}else{
	require self::getPathTemplate('create-slider');		
}

?>